Subject: bug#71292: 30.0.50; macOS: .elns have no debug info

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 May 2024 22:05:25 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 31 May 2024 20:52:16 +0200
> 
> > Doesn't macOS support separate debug info, which can be created with
> > objcopy?  If it does, you could copy the debug info from the *.o
> > files, and then deleting them would not hamper debugging.
> 
> MacOS has .dSYM bundles, but how would you convince libgccjit/gcc to
> invoke dsymutil to produce them before it deletes the .o files? I don't
> see how that can be done.

So let me be sure I understand: there's no was on macOS to produce a
shared library with debug info, except by keeping the *.o files
around?  IOW, when the linker produces a shared library, it doesn't
copy the debug info from the *.o files to the shared library, not even
given some optional command-line switch?